SoundSoftware Code Site - Feature #73
Feature # 71 (Closed): Track external repositories

Update repositories from external repo URLs in background daemon as appropriate
2011-01-26 03:19 PM - Chris Cannam

Status: Closed Start date: 2011-01-26
Priority: High Due date:

Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

We need to set up a background daemon that polls projects for their "external repo" settings (see #72) via the WS API, and, if an
external repo is being tracked, does incremental pulls to the local repo from it. This needs to work for at least remote SVN and Hg
repos, and preferably also Git and CVS.

History

#1 - 2011-02-08 02:55 PM - Chris Cannam

Do we want to convert to the "standard" repository location or create a separate target read-only repository?

- What if we want to move the repository in-house later? Very convenient to have it there already.

- What if user switches from local to tracking remote later? That's not going to work well if we're using the same target repository.

#2 - 2011-03-04 04:27 PM - Chris Cannam

- Status changed from New to In Progress

- % Done changed from 0 to 60

#3 - 2011-03-25 01:15 PM - Chris Cannam

We're going for a separate mirror repo which we pull to from the remote, and then updating the normal repo from that.

#4 - 2011-03-29 12:41 PM - Chris Cannam

- Status changed from In Progress to Closed
- % Done changed from 60 to 100

Merged and live.
